<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StatusAudienceMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $audienceType = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAudienceType()
    {
        return isset($this->audienceType) ? $this->audienceType : 0;
    }

    public function hasAudienceType()
    {
        return isset($this->audienceType);
    }

    public function clearAudienceType()
    {
        unset($this->audienceType);
    }

    




    public function setAudienceType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\ContextInfo\StatusAudienceMetadata\AudienceType::class);
        $this->audienceType = $var;

        return $this;
    }

}

